#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: free
version: 4.12.1
id: free-4.12.1-d59ccd286da2cb84c0fcfa238af7ec44
key: free_Cn1pFb1fIXkLhWftS4gYCr
license: BSD3
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
exposed-modules:
    Control.Applicative.Free Control.Applicative.Free.Final
    Control.Applicative.Trans.Free Control.Alternative.Free
    Control.Alternative.Free.Final Control.Comonad.Cofree
    Control.Comonad.Cofree.Class Control.Comonad.Trans.Cofree
    Control.Comonad.Trans.Coiter Control.Monad.Free
    Control.Monad.Free.Church Control.Monad.Free.Class
    Control.Monad.Free.TH Control.Monad.Trans.Free
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/free-4.12.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/free-4.12.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/free-4.12.1
hs-libraries: HSfree-4.12.1-Cn1pFb1fIXkLhWftS4gYCr
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bifunctors-5-2b5356087f946c95acfd1c689bb6a6a9
    comonad-4.2.7.2-7dee90f058b530c7fd125fc1d8f7fafe
    distributive-0.4.4-8ccf7d9b4dba827f6bbdf2f9c6ea65a1
    exceptions-0.8.0.2-b08bd0de7dff383d124cad3f4c34eddd
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    prelude-extras-0.4-46c76e935a827d1fb7b554499015d34e
    profunctors-5.1.1-735a94eb29dddc53b423b7a49a61618e
    semigroupoids-5.0.0.3-fbc72ed4805b06eae441ee9bd856821c
    semigroups-0.16.2.2-1ca08599864b70ede24d88606eededa0
    template-haskell-2.10.0.0-08b8877239099034286979627d937e79
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/free-4.12.1/html/free.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/free-4.12.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
